Do you need any help with Migration?

Not Now Yes, Contact Support

You are currently browsing legacy 4.0 version of documentation. Click here to switch to the newest 4.2 version.

We can help you with migration to the latest RavenDB

Contact Us Now
see on GitHub

Migration: Changes API

There is one known issue related to using Changes API on RavenDB 4.0:

Changes API on Secured Server

Changes API uses WebSockets under the covers. Due to the lack of support for client certificates in WebSockets implementation in .NET Core 2.0 the Changes API won't work for secured servers accessible over HTTPS.

This issue will be fixed in the final version of .NET Core 2.1 (Q2 2018). The fix is already available in daily builds of .NET Core 2.1. In order to workaround this you can switch your application to use .NET Core 2.1 (build 2.1.0-preview2-26308-01 or newer).

The issue affects only the RavenDB client, the server can be running on .NET Core 2.0.